# Configuration for the Python module.
#
#

python crans_unifie {
        mod_instantiate = freeradius.auth
        func_instantiate = instantiate

    # Pour le authorize, c'est auth.py qui fait le tri maintenant
        mod_authorize = freeradius.auth
        func_authorize = authorize

    # Renseigne le vlan si necessaire
    # remplacer par dummy_fun pour ignorer le tagging de vlan
        mod_post_auth = freeradius.auth
        func_post_auth = post_auth

    # Que faire avant de quitter
        mod_detach = freeradius.auth
        func_detach = detach

    # Le reste sert à rien
        mod_accounting = freeradius.auth
        func_accounting = dummy_fun

        mod_pre_proxy = freeradius.auth
        func_pre_proxy = dummy_fun

        mod_post_proxy = freeradius.auth
        func_post_proxy = dummy_fun

        mod_recv_coa = freeradius.auth
        func_recv_coa = dummy_fun

        mod_send_coa = freeradius.auth
        func_send_coa = dummy_fun
}

